# WEB+DB PRESS Vol.86 特集3「Docker実戦投入」サンプルコード
技術評論社刊「WEB+DB PRESS Vol.86」の特集3「Docker実戦投入」のサンプルコードです。

## 第1章

* `docker-hello-world`: 「触ってみよう」で利用するリポジトリ

```bash
01
└── docker-hello-world
    ├── Dockerfile
    ├── Gemfile
    ├── Gemfile.lock
    ├── README.md
    └── app.rb

1 directory, 5 files
```

## 第3章

* `docker-example-rails`: 「ビルド環境の構築」「Dockerfileの作成」「Dockerイメージのビルド」「Composeを使ったイメージの作成」で利用するリポジトリ

```bash
03
└── docker-example-rails
    ├── Dockerfile
    ├── Dockerfile.production
    ├── Gemfile
    ├── Gemfile.lock
    ├── README.md
    ├── Rakefile
    ├── app
    │   ├── assets
    │   │   ├── images
    │   │   ├── javascripts
    │   │   │   ├── application.js
    │   │   │   └── issues.coffee
    │   │   └── stylesheets
    │   │       ├── application.css
    │   │       ├── issues.scss
    │   │       └── scaffolds.scss
    │   ├── controllers
    │   │   ├── application_controller.rb
    │   │   ├── concerns
    │   │   └── issues_controller.rb
    │   ├── helpers
    │   │   ├── application_helper.rb
    │   │   └── issues_helper.rb
    │   ├── mailers
    │   ├── models
    │   │   ├── concerns
    │   │   └── issue.rb
    │   └── views
    │       ├── issues
    │       │   ├── _form.html.erb
    │       │   ├── edit.html.erb
    │       │   ├── index.html.erb
    │       │   ├── index.json.jbuilder
    │       │   ├── new.html.erb
    │       │   ├── show.html.erb
    │       │   └── show.json.jbuilder
    │       └── layouts
    │           └── application.html.erb
    ├── bin
    │   ├── bundle
    │   ├── rails
    │   ├── rake
    │   ├── setup
    │   └── spring
    ├── config
    │   ├── application.rb
    │   ├── boot.rb
    │   ├── database.yml
    │   ├── environment.rb
    │   ├── environments
    │   │   ├── development.rb
    │   │   ├── production.rb
    │   │   └── test.rb
    │   ├── initializers
    │   │   ├── assets.rb
    │   │   ├── backtrace_silencers.rb
    │   │   ├── cookies_serializer.rb
    │   │   ├── filter_parameter_logging.rb
    │   │   ├── inflections.rb
    │   │   ├── mime_types.rb
    │   │   ├── session_store.rb
    │   │   └── wrap_parameters.rb
    │   ├── locales
    │   │   └── en.yml
    │   ├── puma.rb
    │   ├── routes.rb
    │   └── secrets.yml
    ├── config.ru
    ├── coreos
    │   ├── Vagrantfile
    │   ├── config.rb
    │   └── user-data.yml.erb
    ├── db
    │   ├── migrate
    │   │   └── 20150212024327_create_issues.rb
    │   ├── schema.rb
    │   └── seeds.rb
    ├── docker-compose.yml
    ├── lib
    │   ├── assets
    │   └── tasks
    ├── public
    │   ├── 404.html
    │   ├── 422.html
    │   ├── 500.html
    │   ├── favicon.ico
    │   └── robots.txt
    ├── script
    │   ├── build
    │   ├── fast-build
    │   └── push
    ├── test
    │   ├── controllers
    │   │   └── issues_controller_test.rb
    │   ├── fixtures
    │   │   └── issues.yml
    │   ├── helpers
    │   ├── integration
    │   ├── mailers
    │   ├── models
    │   │   └── issue_test.rb
    │   └── test_helper.rb
    └── vendor
        └── assets
            ├── javascripts
            └── stylesheets

39 directories, 68 files
```

## 第4章

* `docker-example-capistrano`: 「Capistranoによるオーケストレーション」で利用するリポジトリ
* `docker-example-nginx`: 「Capistranoによるオーケストレーション」で利用するDockerイメージのソースコード
* `docker-example-rails`: 「Capistranoによるオーケストレーション」で利用するDockerイメージのソースコード

```bash
04/
├── docker-example-capistrano
│   ├── Dockerfile
│   ├── README.md
│   ├── capistrano
│   │   ├── Capfile
│   │   ├── Gemfile
│   │   ├── Gemfile.lock
│   │   ├── config
│   │   │   ├── app
│   │   │   │   ├── cadvisor.yml
│   │   │   │   ├── container-exporter.yml
│   │   │   │   ├── logspout.yml
│   │   │   │   ├── nginx.yml
│   │   │   │   ├── postgres.yml
│   │   │   │   ├── prometheus.yml
│   │   │   │   ├── rails-blue.yml
│   │   │   │   └── rails-green.yml
│   │   │   ├── deploy
│   │   │   │   ├── cadvisor.rb
│   │   │   │   ├── container-exporter.rb
│   │   │   │   ├── logspout.rb
│   │   │   │   ├── nginx.rb
│   │   │   │   ├── postgres.rb
│   │   │   │   ├── prometheus.rb
│   │   │   │   ├── rails-blue.rb
│   │   │   │   └── rails-green.rb
│   │   │   └── deploy.rb
│   │   ├── lib
│   │   │   └── capistrano
│   │   │       └── tasks
│   │   │           ├── apps.rb
│   │   │           ├── build.rb
│   │   │           ├── cleanup.rb
│   │   │           ├── deploy.rb
│   │   │           ├── hello.rb
│   │   │           ├── images.rb
│   │   │           ├── login.rb
│   │   │           ├── logs.rb
│   │   │           ├── maintenance.rb
│   │   │           ├── ps.rb
│   │   │           ├── pull.rb
│   │   │           ├── push.rb
│   │   │           ├── run.rb
│   │   │           ├── status.rb
│   │   │           └── unit.rb
│   │   ├── ssh
│   │   │   ├── cap.pem
│   │   │   └── cap.pub
│   │   └── templates
│   │       ├── container.service.erb
│   │       └── prometheus.conf
│   ├── coreos
│   │   ├── Vagrantfile
│   │   ├── config.rb
│   │   └── user-data.yml.erb
│   └── script
│       ├── build
│       ├── run
│       ├── run-postgres
│       └── run-rails
├── docker-example-nginx
│   ├── Dockerfile
│   ├── README.md
│   ├── coreos
│   │   ├── Vagrantfile
│   │   ├── config.rb
│   │   └── user-data.yml.erb
│   ├── docker-compose.yml
│   ├── files
│   │   ├── error.html
│   │   ├── maintenance.html
│   │   ├── mime.types
│   │   └── nginx.conf
│   ├── script
│   │   ├── build
│   │   ├── push
│   │   └── test
│   ├── test
│   │   └── feature
│   │       └── spec
│   │           ├── nginx_spec.rb
│   │           └── spec_helper.rb
│   └── wercker.yml
└── docker-example-rails
    ├── Dockerfile
    ├── Dockerfile.production
    ├── Gemfile
    ├── Gemfile.lock
    ├── README.md
    ├── Rakefile
    ├── app
    │   ├── assets
    │   │   ├── images
    │   │   ├── javascripts
    │   │   │   ├── application.js
    │   │   │   └── issues.coffee
    │   │   └── stylesheets
    │   │       ├── application.css
    │   │       ├── issues.scss
    │   │       └── scaffolds.scss
    │   ├── controllers
    │   │   ├── application_controller.rb
    │   │   ├── concerns
    │   │   └── issues_controller.rb
    │   ├── helpers
    │   │   ├── application_helper.rb
    │   │   └── issues_helper.rb
    │   ├── mailers
    │   ├── models
    │   │   ├── concerns
    │   │   └── issue.rb
    │   └── views
    │       ├── issues
    │       │   ├── _form.html.erb
    │       │   ├── edit.html.erb
    │       │   ├── index.html.erb
    │       │   ├── index.json.jbuilder
    │       │   ├── new.html.erb
    │       │   ├── show.html.erb
    │       │   └── show.json.jbuilder
    │       └── layouts
    │           └── application.html.erb
    ├── bin
    │   ├── bundle
    │   ├── rails
    │   ├── rake
    │   ├── setup
    │   └── spring
    ├── config
    │   ├── application.rb
    │   ├── boot.rb
    │   ├── database.yml
    │   ├── environment.rb
    │   ├── environments
    │   │   ├── development.rb
    │   │   ├── production.rb
    │   │   └── test.rb
    │   ├── initializers
    │   │   ├── assets.rb
    │   │   ├── backtrace_silencers.rb
    │   │   ├── cookies_serializer.rb
    │   │   ├── filter_parameter_logging.rb
    │   │   ├── inflections.rb
    │   │   ├── mime_types.rb
    │   │   ├── session_store.rb
    │   │   └── wrap_parameters.rb
    │   ├── locales
    │   │   └── en.yml
    │   ├── puma.rb
    │   ├── routes.rb
    │   └── secrets.yml
    ├── config.ru
    ├── coreos
    │   ├── Vagrantfile
    │   ├── config.rb
    │   └── user-data.yml.erb
    ├── db
    │   ├── migrate
    │   │   └── 20150212024327_create_issues.rb
    │   ├── schema.rb
    │   └── seeds.rb
    ├── docker-compose.yml
    ├── lib
    │   ├── assets
    │   └── tasks
    ├── public
    │   ├── 404.html
    │   ├── 422.html
    │   ├── 500.html
    │   ├── favicon.ico
    │   └── robots.txt
    ├── script
    │   ├── build
    │   ├── fast-build
    │   └── push
    ├── test
    │   ├── controllers
    │   │   └── issues_controller_test.rb
    │   ├── fixtures
    │   │   └── issues.yml
    │   ├── helpers
    │   ├── integration
    │   ├── mailers
    │   ├── models
    │   │   └── issue_test.rb
    │   └── test_helper.rb
    └── vendor
        └── assets
            ├── javascripts
            └── stylesheets

58 directories, 132 files
```

## 第5章

* `fluentd`: 「Fluentd」で利用するソースコード
* `journal-router`: 「Logentriesとjournalctl」で利用するソースコード

```bash
05/
├── fluentd
│   ├── Dockerfile
│   └── fluent.conf
└── journal-router
    └── journal-router.service

    2 directories, 3 files
```
